import * as models from "./modules/dataModel/_system.mjs";

/* -------------------------------------------- */
/*  Foundry VTT Initialization                  */
/* -------------------------------------------- */

const SYSTEM = {
    id: "kidsonbrooms",
    
}

Hooks.once("init", async function() {
    console.log("Initialising Kids on Brooms system");

    globalThis.kidsonbrooms = game.system;
    game.system.CONST = SYSTEM;
    
    Object.assign(CONFIG.Actor.dataModels, {
        PC: models.PlayerCharacter 
    })

    CONFIG.LOCALIZATION_PREFIXES = {
        kidsonbrooms: "KidsOnBrooms"
    }
})