const {api, sheet} = foundry.applications;


export default class BaseActorSheet extends api.HandlebarsApplicationMixin(sheets.ActorSheetV2) {

    /** @override */
  static get defaultOptions() 
  {
    return foundry.utils.mergeObject(super.defaultOptions, {
      classes: ["kidsonbrooms", "sheet", "actor"],
      width: 800,
      height: 800,
      tabs: [{}]
    });
  }

  /** @override */
  get template() 
  {
    console.log("template", this.actor)
    return `systems/kidsonbrooms/templates/actor/actor-sheet-{$this.actor.type}.html`;
  }

}